{% extends 'base.html' %}

{% block body %}
<div class="main">
  <div class="exp">
    <h2><a class="out" href="{% url 'contract_create' %}">Створити договір</a></h2>
    <a class="out" href="{% url 'export_contract' %}">Excel</a>
  </div>
  <div class="main-body">
  <table border="1">
    <thead>
      <tr>
        <th>Номер</th>
        <th>Дата</th>
        <th>
        <div class="sort">
            Контрагент
        <form method="GET">
          <div class="search">
              <input placeholder="номер або назва" type="text" name="name">
              <button type="submit">&#128270;</button>
          </div>
        </form>
        </div>
        </th>
        <th style="width: 4%;"></th>
        <th style="width: 4%;"></th>
        <th style="width: 4%;"></th>
      </tr>
    </thead>
    <tbody>
      {% for contract in object_list %}
      <tr>
        <td>{{ contract.number }}</td>
        <td>{{ contract.date }}</td>
        <td>{{ contract.contragent.longname }}</td>
        <td align=center>
          <a href="{% url 'contract_update' contract.id %}"><i class="fas fa-pencil-alt"></i></a>
        </td>
        <td align=center>
          <a href="{% url 'contract_detail' contract.id %}"><i class="fas fa-bars"></i></a>
        </td>
        <td align=center>
          <a href="{% url 'document_create' contract.id %}"><i class="fas fa-caret-square-down"></i></a>
        </td>
      </tr>
      {% empty %}
      <h2>No contragent yet.</h2>
      {% endfor %}
    </table>
    </div>
  </div>
{% endblock %}
